Jump to content

Recommended Posts

Bonjour à tous,

Voila, je me décide à poser une petite question sur cette partie du forum car je vous le dis tout de suite, je suis un noob sur Raspberry (mais je me soigne).

L'idée est la suivante:

Je tâche d'avancer sur un projet astro à base de RPi3B+ et de clé RTL-SDR.

Sur la RPi, j'utilise buster en SSH.

L'install de Buster + rtlsdr s'est bien passée, les premiers tests sont OK avec des scrpts de base en python.

La ou ça se corse, c'est lorsque je veux utiliser un script (tout fait) utilisant matplotlib.

Je l'ai installé avec

sudo pip install matplotlib

...et ça s'est bien passé.

Lorsque je lance mon scripts ( sudo python mscatter.py), j'ai un message d'erreur:

Traceback (most recent call last):
  File "mscatter.py", line 11, in <module>
    from matplotlib.pyplot import psd
    ....et d'autres lignes....

un peu comme si la lib n'était pas installée.

et pourtant, si je fais

sudo apt-cache search matplotlib
python-cartopy - Cartographic library for Python 2
python-cartopy-data - cartographic library for Python (package data)
  ....et d'autres lignes....

ca a l'air bon.

 

Le souci vient de mon cote et de mon manque expérience alors soyez indulgents, j'apprends.

Si un linuxien peut m'aider car Google ne me donne pas satisfaction sur le coup...

 

Fred

 

Share this post


Link to post
Share on other sites

alors en général on essaye de ne pas systématiquement utiliser sudo ça peut poser des problèmes.

du coup :

pip install matplotlib

suffit.

 

C'est quoi tout le message d'erreur ?

 

 

Share this post


Link to post
Share on other sites

Salut,

Merci de ton retour, je pensais m'être planté de section.

Bon, à force de batailler, j'ai réussi à comprendre que j'avais un souci entre python2.7 et python3.

J'installais des lib qui n'étaient pas compatibles avec Py2.7. Oui, c'est cette version que j'utilise pour faire tourner mon script.

Pourquoi? hum...pourquoi pas (je rappelle que découvre RPi)

Bref, j'ai réussi à réinstaller les lib nécessaires à mon appli, et j'ai tout bien noté sur mes notes.

Là, je suis sur l'amélioration et l'évolution de mon script python.

Pour quoi faire? Arriver à récupérer de façon auto une vue du spectre sous forme de waterfall pour faire de la détection de météor, avec Graves.

Pour l'instant, ça donne ça:

2020-02-12_152505.123192.png.279ec812bbb10c72e08c98ee90cde129.png

 

Je n'invente rien, le sujet n'est pas nouveau, mais c'est l'occas de joindre l'utile à l'agréable (RPi, linux, python, radi, astro).

 

Voili voilou

Fred

Share this post


Link to post
Share on other sites

hésite pas a partager ! ça peut intéresser plus de monde je pense ( plutôt dans un poste dedié avec "radioastronomie" dans le titre).

Share this post


Link to post
Share on other sites

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.